## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaField

### DatabaseSchema::ezcDbSchemaField

### Class ezcDbSchemaField

A container to store a field definition in.

Source for this file: /DatabaseSchema/src/structs/field.php

    ezcBaseStruct
       |
       --ezcDbSchemaField

Version: | //autogentag//

### Member Variables

public bool | `$autoIncrement` Whether this field is an auto increment field.
public mixed | `$default` The default value for this field.
public integer | `$length` The length of this field.
public bool | `$notNull` Whether this field can store NULL values.
public string | `$type` The type of this field
public bool | `$unsigned` Whether the values for this field contain unsigned integers.

### Method Summary

public static void | `__set_state( $array )`
public ezcDbSchemaField | `__construct( $type , [ $length = false] , [ $notNull = false] , [ $default = null] , [ $autoIncrement = false] , [ $unsigned = false] )` Constructs an ezcDbSchemaField object.

### Methods

#### __set_state

static void __set_state( $array )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array |

#### __construct

ezcDbSchemaField __construct( string $type , [integer $length = false] , [bool $notNull = false] , [mixed $default = null] , [bool $autoIncrement = false] , [bool $unsigned = false] )

Constructs an ezcDbSchemaField object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |
`$length` | integer |
`$notNull` | bool |
`$default` | mixed |
`$autoIncrement` | bool |
`$unsigned` | bool |

Documentation generated by phpDocumentor 1.4.3